// JavaScript Document
function GetFileName(file_url){
    file_url = file_url.substring(file_url.lastIndexOf("/")+1,file_url.length)
    file_url = file_url.substring(0,file_url.indexOf("."));
	c_name = file_url.substring(0,file_url.indexOf("-"));
    return file_url;
}



function resizeWindow(){	
	var browserHeight = document.documentElement.clientHeight;
	var containerHeight = browserHeight - ($('#header').height()) - 26 + "px"
	var containerHeight2 = browserHeight - ($('#header').height()) - ($('h1').height()) - 58 + "px"
	if($('h1').height()==null){containerHeight2 = browserHeight - ($('#header').height()) - ($('h1').height()) - 58 + 32 + "px"}
	if(browserHeight>120){
		$('#contents').css({"height":containerHeight});
		$('#left-menu').css({"height":containerHeight});
		$('#scroll-area').css({"height":containerHeight2});	
	}

	function formatNum(keta, num) {
	  var src = new String(num);
	  var cnt = keta - src.length;
	  if (cnt <= 0) return src;
	  while (cnt-- > 0) src = "0" + src; return src;
	}

	
	var browserWidth = document.documentElement.clientWidth;
	if(browserWidth>1000){
		
		for (i=0;i<=11;i++){
			i=formatNum(2,i)
			if($("#m"+i+" a").height()<=16){
				$("#m"+i+" a").css({
					"padding": "12px 5px 11px"
				});		
				$("#groval-nav li.active").css({

				});	
			}
		}
		
		$("#groval-nav li a").css({
			"font-size":"88%"
		});	
		$("#groval-nav").css({
			"width": "auto"
		});
		
	}else{
		$("#groval-nav li a").css({
			"font-size":"77%"
		});	
		$("#groval-nav").css({
			"width": "900px"
		});	
	}
}


$(document).ready(function(){
	/* ファイル名を取得し頭にmを追加する。 */
	
	/*$(".trigger").hover(function() {
			$(this).addClass("accordion_head_opened");
		}, function() {
			$(this).removeClass("accordion_head_opened");
	});*/
	
	var nowpage = "#m" + GetFileName(location.href)
	var pTag
	var categoryNo = "#m" + nowpage.substring(2, 4)
	$(categoryNo).addClass("active");
	if(categoryNo!="#m10"&&categoryNo!="#m00"){	
		$("#c-print").attr('href','99-0'+nowpage.substring(2, 4)+'.htm');
		
		/* 第二階層目ACC */
		$('#accMenu h4').click(function() {
			$(this).siblings('.inMenu:not(:animated)').slideToggle(function(){
					$(this).siblings('.#accMenu h4').toggleClass('accordion_head_opened');
			});
		}).siblings('.inMenu').hide();
		
		/* 第三階層目ACC */
		$('#accMenu h5').click(function() {
			$(this).siblings('.inMenu-inner-menu:not(:animated)').slideToggle(function(){
					$(this).siblings('.#accMenu h5').toggleClass('accordion_head_opened');
			});
		}).siblings('.inMenu-inner-menu').hide();

		/* nowpageの親の要素名を取得 */

		if(nowpage.indexOf("print")==-1){
			pTag = $(nowpage).parents().get(0).tagName
		}
		if(pTag!=""){
		/* 第一階層目がリンクの場合の処理 */
			if(pTag=="H4"){
				$(nowpage).parent().parent().find("h4").addClass("accordion_head_opened_single");
				$(nowpage).addClass("active");
			}
			
			/* 第二階層目がリンクの場合の処理 */
			if(pTag=="LI"){
				//$(nowpage).parent().parent().show();
				$(nowpage).parent().parent().css({"display":"block"});	
				$(nowpage).parent().parent().parent().find("h4").addClass("accordion_head_opened");
				$(nowpage).addClass("active");	
						
	
			}
			
			/* 第三階層目がリンクの場合の処理 */
			if(pTag=="DIV"){
				//$(nowpage).parent().parent().parent().parent().parent().show();
				$(nowpage).parent().parent().parent().parent().parent().css({"display":"block"});	
				//$(nowpage).parent().parent().parent().show();
				$(nowpage).parent().parent().parent().css({"display":"block"});	
				$(nowpage).parent().parent().parent().parent().parent().parent().find("h4").addClass("accordion_head_opened");
				$(nowpage).parent().parent().parent().parent().find("h5").addClass("accordion_head_opened");
				$(nowpage).addClass("active");
			}
		}
	
	$("#print_bt").hover(function() {
			$('#context-menu').show();
		}, function() {
			$('#context-menu').hide();
	});
	


    if (! $.browser.safari) {
        var targetOffset = $(nowpage).offset().top;
		$('#left-menu').animate({scrollTop: targetOffset-120}, 1);
		//$('#left-menu').scrollTop(800);
	}
}

	var browserWidth = document.documentElement.clientWidth;
	if(browserWidth>940){
		$("#groval-nav li a").css({
			"font-size":"88%",
			"padding": "5px 10px 20px"
		});	
		$("#groval-nav").css({
			"width": "auto"
		});		
	}else{
		$("#groval-nav li a").css({
			"font-size":"77%",
			"padding": "5px 5px 20px"
		});	
		$("#groval-nav").css({
			"width": "800px"
		});	
	}
	resizeWindow();

});

window.onresize = function(){
	resizeWindow();
}


//ポップアップ関数
function popup(obj,id,mx,my,e) {
	var num=0;
	var selectNumber = document.getElementsByTagName("div");
	
	for(var j=0;j<selectNumber.length;j++){
		sID = selectNumber[j].id;
		
		if(sID.indexOf('comment')==0){
			num++;

			document.getElementById('comment'+num).style.display='none';
		}
	}

	var _evtX="";
	var _evtY="";
	
	 //マウスX位置取得
	if(document.all){
		_evtX=document.body.scrollLeft+window.event.clientX
		
	}else if(document.layers || document.getElementById ){
		_evtX=e.pageX;
	}
	
	 //マウスY位置取得 
	if(document.all){
		_evtY=$('#scroll-area').scrollTop()+window.event.clientY
	}else if(document.layers || document.getElementById ){
		_evtY= $('#scroll-area').scrollTop()+e.pageY;
	}
	
	cheight=$("#"+id).height()
	cwidth=$("#"+id).width()
	
	var ex=(_evtX - $('#left-menu').width()) - 20
	var ey=(_evtY - $('#header').height()-$('h1').height()) - 20
	
	if(my=="top"){var ey=ey - cheight - 30}
	if(my=="bottom"){var ey=ey}
	if(mx=="left"){var ex=ex - (cwidth/4)}
	if(mx=="center"){var ex=ex - (cwidth/2)}	
	if(mx=="right"){var ex=ex - cwidth + (cwidth/4)}	

	ex=ex+"px"
	ey=ey+"px"
	
	$("#"+id).css({
			"display":"block",
			"position":"absolute",
			"top":ey,
			"left":ex
	})
}

function popdown(id) {
    document.getElementById(id).style.display='none';
}

function anchorLink(url){
    if (! $.browser.safari) {
        var targetOffset = $('#'+url).offset().top + $('#scroll-area').scrollTop();
		$('#scroll-area').animate({scrollTop: targetOffset-200}, 1000);
    }

}

$(function () {
    if (! $.browser.safari) {
        $('.to-top').click(function () {
            $(this).blur();
            $('#scroll-area').animate({ scrollTop: 0 }, 'slow');
            return false;
        });
    }
});

